Package org.pgpainless.decryption_verification

# Class MessageMetadata.Message

java.lang.Object
org.pgpainless.decryption_verification.MessageMetadata.Layer
org.pgpainless.decryption_verification.MessageMetadata.Message

All Implemented Interfaces:
  `MessageMetadata.Packet`

Enclosing class:
  `MessageMetadata`

public static class MessageMetadata.Message extends MessageMetadata.Layer

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`cleartextSigned`

### Fields inherited from class org.pgpainless.decryption_verification.MessageMetadata.Layer

`child, depth, MAX_LAYER_DEPTH, rejectedDetachedSignatures, rejectedOnePassSignatures, rejectedPrependedSignatures, verifiedDetachedSignatures, verifiedOnePassSignatures, verifiedPrependedSignatures`

## Constructor Summary

Constructors
Constructor
Description
`Message()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isCleartextSigned()`
Returns true, is the message is a signed message using the cleartext signature framework.

### Methods inherited from class org.pgpainless.decryption_verification.MessageMetadata.Layer

`getChild, getRejectedDetachedSignatures, getRejectedOnePassSignatures, getRejectedPrependedSignatures, getVerifiedDetachedSignatures, getVerifiedOnePassSignatures, getVerifiedPrependedSignatures`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### cleartextSigned

protected boolean cleartextSigned

## Constructor Details

### Message

public Message()

## Method Details

### isCleartextSigned

public boolean isCleartextSigned()
Returns true, is the message is a signed message using the cleartext signature framework.

Returns:

      true

  if message is cleartext-signed,

      false

  otherwise
See Also:
  - RFC4880 §7. Cleartext Signature Framework